function [o] = grep_pc_mode_manual(cf, lc1)
% grep manaul pc_mode
% input:
%   cf ... control file struct
%   lc1 ... hops one letter code
% output:
%   o ... boolean with either 1 (yes) or 0 (no)

% preallocate pc_mode
pc_mode = [];

% fieldnames of control file struct
fn = fieldnames(cf);

% find station in fieldnames
i = find(strcmp(fn,lc1));

% get pc mode
if ~isempty(i)
    
    % fieldmanes of station in cf struct
    fn1 = fieldnames(cf.(fn{i}));
    
    % if fieldnames are found
    if ~isempty(fn1)
        
        % loop through field names
        for ib = 1:length(fn1)
            
            % fieldname
            fn2 = fieldnames(cf.(fn{i}).(fn1{ib}));
            
            % find pc mode
            j = find(strcmp(fn2,'pc_mode'));
            
            % pc_mode found
            if ~isempty(j)
                
                % get pc_mode
                pc_mode = cf.(fn{i}).(fn1{ib}).pc_mode;
                
            end
        end
    end
end

% manual pc mode found
if strcmp(pc_mode, 'manual')
    
    % allocate boolean to output variable
    o = 1;
    
else
    
    % nothing found
    o = 0;
    
end

end

