function [Cns] = read_nscodestxt_file(f)
% read station name and code file IVS
% input:
%   f ... path to ns-codes.txt file

% open file
fid = fopen(f);

% test if file exists
if fid<0
    warning('Cannot find ns-codes.txt (%s) file. This will not work',f)
end

% read in first two coloumns of file and skip comments "*"
Cns = textscan(fid,'%s %s %*[^\n]', 'CommentStyle', '*');

% close file opener
fclose(fid);

end

